Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::TextBufferSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::TextBuffer. More...

`#include <xfc/gtk/textbuffersignals.hh>`

Inheritance diagram for Xfc::Gtk::TextBufferSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_insert_text (TextIter &pos, const String &text)
    Called whenever text is inserted into the text buffer.
- virtual void on_insert_pixbuf (TextIter &pos, Gdk::Pixbuf &pixbuf)
    Called when a pixbuf image is inserted into the buffer.
- virtual void on_insert_child_anchor (TextIter &pos, TextChildAnchor &anchor)
    Called when a child anchor is inserted into the buffer.
- virtual void on_delete_range (TextIter &start, TextIter &end)
    Called when contents of the buffer in the range start to end are removed.
- virtual void on_changed ()
    Called when the contents of the buffer are changed by an insertion or deletion action.
- virtual void on_modified_changed ()
    Called when the buffer has been modified since the last time it was saved.
- virtual void on_mark_set (const TextIter &location, TextMark &mark)
    Called when a mark is placed in the buffer.
- virtual void on_mark_deleted (TextMark &mark)
    Called when a mark is removed from the buffer.
- virtual void on_apply_tag (TextTag &tag, const TextIter &start_char, const TextIter &end_char)
    Called when tag is applied to the given range start_char to end_char.
- virtual void on_remove_tag (TextTag &tag, const TextIter &start_char, const TextIter &end_char)
    Called when all occurrences of tag are removed from the given range start_char to end_char.
- virtual void on_begin_user_action ()
    Called to indicate the user is starting buffer operations that are part of a single user-visible operation.
- virtual void on_end_user_action ()
    Called to indicate the user has ended the current buffer operations.

## Protected Member Functions

Constructors

- TextBufferSignals (TextBuffer *buffer)
    Constructs a new TextBufferSignals object.
- virtual ~TextBufferSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::TextBuffer.

## Constructor & Destructor Documentation

Xfc::Gtk::TextBufferSignals::TextBufferSignals | ( | TextBuffer * | buffer | ) | `[protected]`

Constructs a new TextBufferSignals object.

Parameters:

  | buffer | A TextBuffer object inheriting the TextBufferSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::TextBufferSignals::on_apply_tag | ( | TextTag & | tag,
|  | const TextIter & | start_char,
|  | const TextIter & | end_char
| ) | `[virtual]`

Called when tag is applied to the given range start_char to end_char.

Parameters:

  | tag | A TextTag.
  | start_char | One bound of a range to be tagged.
  | end_char | The other bound of a range to be tagged.

virtual void Xfc::Gtk::TextBufferSignals::on_delete_range | ( | TextIter & | start,
|  | TextIter & | end
| ) | `[virtual]`

Called when contents of the buffer in the range start to end are removed.

Parameters:

  | start | A position in the buffer.
  | end | Another position in the buffer.

virtual void Xfc::Gtk::TextBufferSignals::on_insert_child_anchor | ( | TextIter & | pos,
|  | TextChildAnchor & | anchor
| ) | `[virtual]`

Called when a child anchor is inserted into the buffer.

Parameters:

  | pos | The location to insert the anchor.
  | anchor | A TextChildAnchor.

virtual void Xfc::Gtk::TextBufferSignals::on_insert_pixbuf | ( | TextIter & | pos,
|  | Gdk::Pixbuf & | pixbuf
| ) | `[virtual]`

Called when a pixbuf image is inserted into the buffer.

Parameters:

  | pos | The location to insert the pixbuf.
  | pixbuf | A Gdk::Pixbuf.

virtual void Xfc::Gtk::TextBufferSignals::on_insert_text | ( | TextIter & | pos,
|  | const String & | text
| ) | `[virtual]`

Called whenever text is inserted into the text buffer.

Parameters:

  | pos | A position in the buffer.
  | text | The text to insert.

virtual void Xfc::Gtk::TextBufferSignals::on_mark_deleted | ( | TextMark & | mark | ) | `[virtual]`

Called when a mark is removed from the buffer.

Parameters:

  | mark | A TextMark.

virtual void Xfc::Gtk::TextBufferSignals::on_mark_set | ( | const TextIter & | location,
|  | TextMark & | mark
| ) | `[virtual]`

Called when a mark is placed in the buffer.

Parameters:

  | location | The location for mark in the buffer.
  | mark | A TextMark.

virtual void Xfc::Gtk::TextBufferSignals::on_remove_tag | ( | TextTag & | tag,
|  | const TextIter & | start_char,
|  | const TextIter & | end_char
| ) | `[virtual]`

Called when all occurrences of tag are removed from the given range start_char to end_char.

Parameters:

  | tag | A TextTag.
  | start_char | One bound of a range to be untagged.
  | end_char | The other bound of a range to be untagged.

The documentation for this class was generated from the following file:

- textbuffersignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3